#
# spec file for package simple-mtpfs
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           simple-mtpfs
Version:        0.4.0
Release:        2.7
Summary:        Simple MTP fuse filesystem driver
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://github.com/phatina/simple-mtpfs
Source:         https://github.com/phatina/simple-mtpfs/archive/v%{version}.tar.gz
Patch1:         disable-partial-support.patch
BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(libmtp)

%description
SIMPLE-MTPFS (Simple Media Transfer Protocol FileSystem) is a file system for
Linux (and other operating systems with a FUSE implementation, such as Mac OS X
or FreeBSD) capable of operating on files on MTP devices attached via USB to
local machine. On the local computer where the SIMPLE-MTPFS is mounted, the
implementation makes use of the FUSE (Filesystem in Userspace) kernel module.
The practical effect of this is that the end user can seamlessly interact with
MTP device files.

%prep
%autosetup -p1

%build
autoreconf -fvi
%configure \
    --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Mar 13 2023 Dirk Müller <dmueller@suse.com>
- add disable-partial-support.patch for bsc#1204908
* Sun Aug 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.4.0:
  * support partial object manipulation
  * fixed temporary directories removal
  * build system cleanup
* Mon Aug 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.0:
  * fix FreeBSD ports upgrade path
  * mount by device file (eg. /dev/libmtp-*)
  * various fixes, improvements and code cleanup
* Fri Mar 13 2015 tchvatal@suse.com
- Version bump to 0.2:
  * Various fixes to work with newer phones
- Remove useles CFLAGS declaration
- Run over spec-cleaner
* Sat Jun 15 2013 tchvatal@suse.com
- Use http instead of https to see if our auto tools wont fail.
* Fri Jun 14 2013 tchvatal@suse.com
- Initial spec for mtpfs mounter usefull if you have new android
  phones.
